2017-12-18 23:06 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001327Orfeo Toolbox (OTB)Generalpublic2017-04-27 15:32
Reporteringlada 
Assigned Togpasero 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Summary0001327: Quicklook application introduces a shift
DescriptionThe Quicklook application produces images which are shifted in pysical coordinates with respect to the original image from which the quicklook is produced. The shift seems to be of 1/2 pixel in vertical and horizontal directions.
Steps To Reproduceotbcli_Quicklook -in in.tif -out out.tif -sr 3

then open int.tif and out.tif in monteverdi and see that the images are shifted
Additional InformationI am using the Quicklook application to sub-sample a Sentinel-2 image
from 10 m to 30 m resolution in order to stack it over a Landsat-8
image. Both images have been ortho-rectified to the same projection
beforehand.

Having a look at the images in Monteverdi, I have found that there is a
shift of about 15 m in both X and Y (half a pixel) between the original
S2 image and the quicklook.

I remember the "origingate" controversy from some years ago when it was
discovered that ITK and gdal did not follow the same convention for the
image origin. I understand that this issue was solved. Therefore, I
don't understand what is happening here.

I have used the RigidTransformResample application instead of the
Quicklook and the shift is not present.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003899

gpasero (administrator)

The Quicklook application uses a decimation filter (StreamingShrinkImageFilter). Even if we try to center the samples in each cell (which is not the case for the moment), we can't maintain the same image footprint for sample ratios multiples of 2. The right behaviour is to modify the output origin accordingly, but I am not sure it will be harmless for other applications using this filter.

~0003900

gpasero (administrator)

Pushed a bugfix in a dedicated branch : https://git.orfeo-toolbox.org/otb.git/shortlog/refs/heads/mantis-1327

I will test it on dashboard to check the impact.

~0003912

gpasero (administrator)

Bugfix has been merged in develop :
https://git.orfeo-toolbox.org/otb.git/commit/36904119cdf99b1c7ed6b1e708dda39438fb8c39
+Notes

-Issue History
Date Modified Username Field Change
2017-01-05 10:05 inglada New Issue
2017-01-05 11:00 gpasero Assigned To => gpasero
2017-01-05 11:00 gpasero Status new => assigned
2017-01-05 14:10 gpasero Note Added: 0003899
2017-01-05 17:40 gpasero Note Added: 0003900
2017-01-09 18:28 gpasero Note Added: 0003912
2017-01-09 18:28 gpasero Status assigned => resolved
2017-01-09 18:28 gpasero Resolution open => fixed
2017-04-27 15:32 julien Status resolved => closed
+Issue History